# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LinearInterpolatorFVec2 Class Reference

Interpolates vl::fvec2 values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorFVec2:

List of all members.

## Public Member Functions
| LinearInterpolatorFVec2 ()
| LinearInterpolatorFVec2 (const std::vector< vl::fvec2 > &path)
vl::fvec2 | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorFVec2_T * | interpolator ()
const LinearInterpolatorFVec2_T * | interpolator () const
void | setInterpolator (LinearInterpolatorFVec2_T *interpolator)
## Protected Attributes
vl::ref < LinearInterpolatorFVec2_T > | mInterpolator

## Detailed Description

Interpolates vl::fvec2 values using a LinearInterpolator.

## Constructor & Destructor Documentation

vl::LinearInterpolatorFVec2::LinearInterpolatorFVec2 | ( |  | ) | `[inline]`

vl::LinearInterpolatorFVec2::LinearInterpolatorFVec2 | ( | const std::vector< vl::fvec2 > & | path | ) | `[inline]`

## Member Function Documentation

vl::fvec2 vl::LinearInterpolatorFVec2::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFVec2.

LinearInterpolatorFVec2_T* vl::LinearInterpolatorFVec2::interpolator | ( |  | ) | `[inline]`

const LinearInterpolatorFVec2_T* vl::LinearInterpolatorFVec2::interpolator | ( |  | ) | const`[inline]`

void vl::LinearInterpolatorFVec2::setInterpolator | ( | LinearInterpolatorFVec2_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<LinearInterpolatorFVec2_T> vl::LinearInterpolatorFVec2::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LinearInterpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:59 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.